/* es1-triangolo.c - dati tre numeri reali stabilisce se sono le misure dei lati di un triangolo, e di che tipo e' (equilatero, isoscele o scaleno). */
#include <stdio.h>

int main( void )
{
    float a, b, c; /* lati del triangolo */
    
    /* lettura delle lunghezze dei tre lati */
    
    printf("Lunghezza del primo lato: ");
    scanf("%f", &a);
    
    printf("Lunghezza del secondo lato: ");
    scanf("%f", &b);
    
    printf("Lunghezza del terzo lato: ");
    scanf("%f", &c);
    
    /* Le stringhe di formato "%.2f" servono per stampare un float mostrando
       solo due cifre decimali dopo la virgola. Ovviamente va bene anche
       stampare i float usando semplicemente %f come visto a lezione. */
    printf("Verifico le proprieta’ del triangolo di lati: %.2f, %.2f, %.2f\n", a, b, c) ;
    
   /*  verifica i lati sono effettivamente di un triangolo: la lunghezza di ogni lato deve essere minore della somma degli altri due. Se questa proprieta' NON vale, cioe' se esiste almeno un lato la cui lunghezza e' maggiore o uguale della somma degli altri due, allora non si tratta di un triangolo. */
    
    if( (a>=b+c) || (b>=a+c) || (c>=a+b) ){
        printf("Errore: ogni lato deve essere minore della somma degli altri due\n") ;
    } else {
        /* verifica se a, b e c sono uguali */
        if( (a==b) && (b==c) ) {
            printf("Il triangolo e’ equilatero\n");
        } else {
            /* Se siamo qui i lati non sono tutti uguali. Se ci sono
               due lati uguali allora il triangolo e' isoscele */
            if ( (a==b) || (b==c) || (a==c) ) {
                printf("Il triangolo e’ isoscele\n") ;
            } else {
                printf("Il triangolo e’ scaleno\n") ;
            }
        }
    }
    
    return 0;
}
