/* es7-uova.c : le uova di Fibonacci */
#include <stdio.h>

/*
   Questo problema e' presente nel "Liber Abbaci" scritto da Leonardo
   Pisano detto Fibonacci (sentiremo ancora parlare di lui a
   lezione...).

   Un grosso cesto contiene delle uova. Il numero di uova, n, gode
   delle seguenti proprieta': se si contano le uova due a due, oppure
   tre a tre, oppure quattro a quattro, oppure cinque a cinque, oppure
   sei a sei, allora alla fine del conteggio ne resta una.  Se invece
   si contano le uova sette a sette, alla fine del conteggio non ne
   rimane nessuna.

   Stampare il minimo valore intero positivo n che gode delle
   proprieta' precedenti.
*/
int main( void )
{
    /* Dalla specifica del problema, sappiamo che n deve essere
       multiplo di 7; di conseguenza, esaminiamo tutti i multipli di 7
       per individuare il piu' piccolo di essi che goda delle
       rimanenti proprieta' */
    int n = 0, trovato = 0;
    do {
        n += 7;
        trovato = ((n%2 == 1) &&
                   (n%3 == 1) &&
                   (n%4 == 1) &&
                   (n%5 == 1) &&
                   (n%6 == 1));
    } while (!trovato);
    printf("%d\n", n); /* il risultato corretto e' 301 */
    return 0;
}
